<template>
    <transition name="modal">
        <div class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <form class="modal-content" :action="action_url" method="post">
                    <div class="modal-header">
                        <h5 class="modal-title">{{ $t('cabinet.ui.unlock') }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close" @click="close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>

                    <div class="modal-body">
                        <input type="hidden" name="_token" :value="token">
                        <div class="form-group">
                            <label for="code">{{ $t('cabinet.ui.pin_code') }}</label>
                            <input name="code" type="password" id="code" class="form-control">
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal" @click="close">{{ $t('cabinet.ui.close') }}</button>
                        <button type="submit" class="btn btn-primary">{{ $t('cabinet.ui.unlock') }}</button>
                    </div>
                </form>
            </div>
        </div>
    </transition>
</template>

<script>
	export default {
		props: ['action_url'],
        data(){
			return {
				token: window.system.csrfToken
            }
        },
        methods: {
			close(){
				this.$emit('close');
            }
        }
	}
</script>

<style scoped>
    .modal{
        display: block;
        transition: opacity .6s ease;
    }
    .modal-dialog{
        margin-top: 20%;
    }
    .modal-enter {
        opacity: 0;
    }
    .modal-leave-active {
        opacity: 0;
    }
    .modal-enter .modal-container,
    .modal-leave-active .modal-container {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }
</style>
